import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from 'src/app/routes/frame/core/page/frame.page';

@Component({
  selector: 'app-std-layout-page',
  templateUrl: './std-layout-page.component.html',
  styleUrls: ['./std-layout-page.component.scss']
})
export class StdLayoutPageComponent extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) { 
    super(modalService);
  }

  ngOnInit(): void {
  }

  export() {
    this.FuncService.ajaxDownload('std/layout/export.htm');
  }

  exportStat() {
    this.FuncService.ajaxDownload('std/layout/stat/export.htm');
  }

}
